############################################################## 
## MOD Title: make VST SDK 3.0.1 compilable with Visual C++ 6
## MOD Version: 	1.0.0
## MOD Author: 		Hermann Seib < office@hermannseib.com > 
##				http://www.hermannseib.com/english/
##
## MOD Description:
##			This modification will allow the compilation of the again
##			and vstvalidator sample programs in the VST SDK 3.0 Revision 1
##			(2008/03/20) with Visual Studio 6, with or without the
##			Platform SDK installed.
## 
## Installation Level: 	Easy
## Installation Time: 	10 Minutes 
##
## Files To Edit: 	4
##			vstgui.sf\vstgui\cvstguitimer.h
##			vstgui.sf\vstgui\cvstguitimer.cpp
##			vstgui.sf\vstgui\vstgui.h
##			vstgui.sf\vstgui\vstgui.cpp
##
## Included Files: 	
##
##			public.sdk\samples\vst\again\resource\again_vc6.rc
##			public.sdk\samples\vst\again\win\again_vc6.dsp
##
############################################################## 
## MOD History: 
## 
##	2008-10-29 -  Version 1.0.0
##				  First release
##
############################################################## 
## Before applying this to the VST SDK, be sure to have a backup!
############################################################## 


# 
#-----[ OPEN ]------------------------------------------ 
# 

vstgui.sf\vstgui\cvstguitimer.h

# 
#-----[ FIND ]------------------------------------------ 
# 
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime);

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
#ifndef GWLP_HINSTANCE
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime);
#else
	static VOID CALLBACK TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime);
#endif

# 
#-----[ OPEN ]------------------------------------------ 
# 

vstgui.sf\vstgui\cvstguitimer.cpp

# 
#-----[ FIND ]------------------------------------------ 
# 
VOID CALLBACK CVSTGUITimer::TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime)

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
#ifndef GWLP_HINSTANCE
VOID CALLBACK CVSTGUITimer::TimerProc (HWND hwnd, UINT uMsg, UINT idEvent, DWORD dwTime)
#else
VOID CALLBACK CVSTGUITimer::TimerProc (HWND hwnd, UINT uMsg, UINT_PTR idEvent, DWORD dwTime)
#endif

# 
#-----[ OPEN ]------------------------------------------ 
# 

vstgui.sf\vstgui\vstgui.h

# 
#-----[ FIND ]------------------------------------------ 
# 
	#include <windows.h>

# 
#-----[ AFTER, ADD ]------------------------------------------ 
# 

/*****************************************************************************/
/* Adaptions for Visual Studio 6 without Platform SDK                        */
/*****************************************************************************/
	#ifndef GWLP_WNDPROC
		#define GWLP_WNDPROC GWL_WNDPROC
		#define GWLP_USERDATA GWL_USERDATA
		#define AC_SRC_ALPHA 0x01
		#define IDC_HAND  MAKEINTRESOURCE(32649)
		#define GetWindowLongPtr GetWindowLong
		#define SetWindowLongPtr SetWindowLong
		#if(_WIN32_WINNT >= 0x0500)
			#define WS_EX_COMPOSITED        0x02000000L
			#define WS_EX_NOACTIVATE        0x08000000L
			#define WM_XBUTTONDOWN          0x020B
			#define WM_XBUTTONUP            0x020C
			#define WM_XBUTTONDBLCLK        0x020D
			#define MK_XBUTTON1             0x0020
			#define MK_XBUTTON2             0x0040
		#endif /* _WIN32_WINNT >= 0x0500 */
		#ifdef GDIPLUS
			#undef GDIPLUS
		#endif
		#define GDIPLUS 0
		typedef long LONG_PTR, *PLONG_PTR;
	#endif
	#include <string.h>

# 
#-----[ OPEN ]------------------------------------------ 
# 

vstgui.sf\vstgui\vstgui.cpp

# 
#-----[ FIND ]------------------------------------------ 
# 
#define USE_ALPHA_BLEND			MAC || USE_LIBPNG || GDIPLUS

# 
#-----[ REPLACE WITH ]------------------------------------------ 
# 
#if !defined(USE_ALPHA_BLEND)
	#define USE_ALPHA_BLEND			MAC || USE_LIBPNG || GDIPLUS
#endif


# 
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------ 
# 
# EoM
